aboutsummaryrefslogtreecommitdiff
path: root/bin/cross
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mikisabate@gmail.com>2024-07-22 10:00:48 +0200
committerMiquel Sabaté Solà <mikisabate@gmail.com>2024-07-22 10:00:48 +0200
commitc0907886fcc6cf63c2de17c8f4e270f6c847a8bf (patch)
tree7a3c98cea07ef51622fc313cc19236e6193e9ddf /bin/cross
parent94d19520195810695a12780b24a9510ca1324b66 (diff)
downloaddotfiles-c0907886fcc6cf63c2de17c8f4e270f6c847a8bf.tar.gz
dotfiles-c0907886fcc6cf63c2de17c8f4e270f6c847a8bf.zip
bin: documenting the cross script
Signed-off-by: Miquel Sabaté Solà <mikisabate@gmail.com>
Diffstat (limited to 'bin/cross')
-rwxr-xr-xbin/cross23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/cross b/bin/cross
index 7ef26b6..fe9de23 100755
--- a/bin/cross
+++ b/bin/cross
@@ -1,4 +1,27 @@
#!/bin/bash
+# Copyright (C) 2024-Ω Miquel Sabaté Solà <mikisabate@gmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+# This script simply exports the $ARCH and $CROSS_COMPILE environment variables
+# so it can be used in the context of cross compiling software. Right now it
+# only supports RISC-V because that's what I'm using it for. Use it with the dot
+# syntax:
+#
+# $ . cross
arch=$(uname -m)
if [ "${arch}" != "x86_64" ]; then